Google Web Toolkit (Beta)
Search this site:

# Class FlexTable.FlexCellFormatter

public class FlexTable.FlexCellFormatter
extends HTMLTable.CellFormatter
FlexTable-specific implementation of CellFormatter. The formatter retrieved from HTMLTable.getCellFormatter() may be cast to this class.

## Methods

getColSpan(int, int) | Gets the column span for the given cell.
getRowSpan(int, int) | Gets the row span for the given cell.
setColSpan(int, int, int) | Sets the column span for the given cell.
setRowSpan(int, int, int) | Sets the row span for the given cell.

## Method Detail

### getColSpan

public int getColSpan(int row, int column)
Gets the column span for the given cell. This is the number of logical columns covered by the cell.

#### Parameters

row
  the cell's row
column
  the cell's column

#### Return Value

the cell's column span

### getRowSpan

public int getRowSpan(int row, int column)
Gets the row span for the given cell. This is the number of logical rows covered by the cell.

#### Parameters

row
  the cell's row
column
  the cell's column

#### Return Value

the cell's row span

### setColSpan

public void setColSpan(int row, int column, int colSpan)
Sets the column span for the given cell. This is the number of logical columns covered by the cell.

#### Parameters

row
  the cell's row
column
  the cell's column
colSpan
  the cell's column span

### setRowSpan

public void setRowSpan(int row, int column, int rowSpan)
Sets the row span for the given cell. This is the number of logical rows covered by the cell.

#### Parameters

row
  the cell's row
column
  the cell's column
rowSpan
  the cell's row span